classification
Title: plistlib old API should be removed
Type: Stage: resolved
Components: Library (Lib), macOS Versions: Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: bigfootjon, ned.deily, ronaldoussoren, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2019-03-23 16:11 by bigfootjon, last changed 2019-09-05 13:37 by bigfootjon. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 12515 closed bigfootjon, 2019-03-23 16:12
PR 15615 merged bigfootjon, 2019-08-30 17:51
Messages (5)
msg338683 - (view) Author: Jon Janzen (bigfootjon) * Date: 2019-03-23 16:11
Per the documentation and in-line code warnings, the old API for plistlib was deprecated in version 3.4. My understanding is that deprecated functionality is to be removed in the next major version, so this code is long overdue for removal.
msg338793 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2019-03-25 09:02
It was preserved for compatibility with Python 2.7. From PEP 4:

"In order to facilitate writing code that works in both Python 2 & 3 simultaneously, any module that exists in both Python 3.5 and Python 2.7 will not be removed from the standard library until Python 2.7 is no longer supported as specified by PEP 373."

3.9 will be the first Python 3 release after the EOL of 2.7.
msg338882 - (view) Author: Jon Janzen (bigfootjon) * Date: 2019-03-26 12:53
Ah, I misinterpreted PEP4. I thought it only applied to modules as a whole (e.g. plistlib) rather than individual functionality within that module. I'll close my PR and wait until 3.9 is accepting patches
msg338890 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2019-03-26 13:48
Yes, this is mainly about modules, but in general we try to be more careful with removing features that do not have alternatives in 2.7. In this particular case, the benefit from removing the deprecated functions in 3.8 instead of 3.9 is small, but this will make harder writing 2+3 compatible code.

In any case this is on to the module maintainer, Ronald.
msg351191 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2019-09-05 08:11
New changeset ce81a925ef2d466b0d801deaba9af44a0dfc2aa1 by Ronald Oussoren (Jon Janzen) in branch 'master':
bpo-36409: Remove old plistlib API deprecated in 3.4 (GH-15615)
https://github.com/python/cpython/commit/ce81a925ef2d466b0d801deaba9af44a0dfc2aa1
History
Date User Action Args
2019-09-05 13:37:57bigfootjonsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-09-05 08:11:38ronaldoussorensetmessages: + msg351191
2019-08-30 17:51:51bigfootjonsetpull_requests: + pull_request15288
2019-03-26 13:48:33serhiy.storchakasetmessages: + msg338890
2019-03-26 12:53:49bigfootjonsetmessages: + msg338882
versions: + Python 3.9, - Python 3.8
2019-03-25 09:02:26serhiy.storchakasetmessages: + msg338793
2019-03-23 16:21:10xtreaksetnosy: + serhiy.storchaka, ronaldoussoren, ned.deily
components: + macOS
2019-03-23 16:12:26bigfootjonsetkeywords: + patch
stage: patch review
pull_requests: + pull_request12466
2019-03-23 16:11:49bigfootjoncreate